;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux initz package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The initz package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:

(if (not (file-exists-p "/usr/share/emacs/site-lisp/liece"))
    (message "Package liece removed but not purged.  Skipping setup.")
  (debian-pkg-add-load-path-item
   (concat "/usr/share/" (symbol-name debian-emacs-flavor)
	   "/site-lisp/liece"))

  (autoload 'liece "liece" nil t)
  (setq liece-intl-catalogue-directory "/usr/share/locale")
  (setq liece-window-style-directory "/usr/share/emacs/site-lisp/liece/styles")
  (setq liece-icon-directory "/usr/share/pixmaps/liece")
  (setq liece-dcc-program "/usr/lib/liece-dcc/ldcc")
  (setq liece-tcp-program "/usr/lib/liece-dcc/ltcp")
  (setq liece-window-default-style "top"))
